// zoomasm -- zoom video assembler
// (c) 2019,2020 Claude Heiland-Allen
// SPDX-License-Identifier: AGPL-3.0-or-later

// recommended KF bailout settings: linear smoothing, custom radius 25
vec4 colour(vec4 XYZT, uint N, vec2 NFT, vec2 DE, vec3 RGB)
{
  if (N >= 0xffffFFFFu)
  {
    // interior
    return vec4(vec3(1.0, 0.0, 0.0), 1.0);
  }
  bool band = (N & 1u) == 0u;
  bool cell = NFT.y < 0.5;
  bool decomp = band != cell;
  return vec4(vec3(decomp ? 1.0 : 0.0), 1.0);
}
